> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save asset depreciation schedules

> Save new (or update existing) asset depreciation schedules



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/accounting/schedules/assetDepreciations
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/accounting/schedules/assetDepreciations:
    post:
      tags:
        - Asset Depreciations
      summary: Save asset depreciation schedules
      description: Save new (or update existing) asset depreciation schedules
      operationId: postAssetDepreciations
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiParamAssetDepreciationPostDto'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseAssetDepreciationGetDto
        '207':
          description: >-
            Some asset depreciation schedules failed to save. See response body
            for error details.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseAssetDepreciationGetDto
        '400':
          description: All asset depreciation schedules failed to save.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseListMultiResponseAssetDepreciationGetDto
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    MultiParamAssetDepreciationPostDto:
      required:
        - data
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AssetDepreciationPostDto'
    ResponseListMultiResponseAssetDepreciationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/MultiResponseAssetDepreciationGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    AssetDepreciationPostDto:
      type: object
      properties:
        id:
          type: string
          description: >-
            Id of the asset depreciation schedule, required when updating an
            existing schedule
          example: asd_28868401
        status:
          type: string
          description: Status of the asset depreciation schedule
          nullable: false
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        description:
          type: string
          description: Description of the asset depreciation schedule
          nullable: false
          example: Delivery van
        acquisitionDate:
          type: string
          description: Date the asset was acquired
          format: date
          nullable: false
          example: '2026-01-01'
        placedInServiceDate:
          type: string
          description: Date the asset was placed in service
          format: date
          nullable: false
          example: '2026-01-15'
        costBasis:
          type: integer
          description: Cost basis of the asset (in cents)
          format: int32
          nullable: false
          example: 1200000
        salvageValue:
          type: integer
          description: Estimated salvage value of the asset (in cents)
          format: int32
          nullable: false
          example: 200000
        usefulLifeMonths:
          type: integer
          description: Useful life of the asset in months
          format: int32
          nullable: false
          example: 60
        depreciationMethod:
          type: string
          description: Method used to depreciate the asset
          nullable: false
          example: STRAIGHT_LINE
          enum:
            - STRAIGHT_LINE
            - DOUBLE_DECLINING_BALANCE
            - SUM_OF_YEARS_DIGITS
        glSourceId:
          type: string
          description: Id of the general ledger source the schedule is created from
          nullable: false
          example: mje_12345
        disposalDate:
          type: string
          description: Date the asset was disposed, set to dispose of the asset
          format: date
          nullable: false
          example: '2027-06-30'
        disposalProceeds:
          type: integer
          description: Proceeds received from disposing the asset (in cents)
          format: int32
          nullable: false
          example: 800000
        customData:
          $ref: '#/components/schemas/JsonNode'
    MultiResponseAssetDepreciationGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        statusCode:
          $ref: '#/components/schemas/HttpStatus'
        data:
          $ref: '#/components/schemas/AssetDepreciationGetDto'
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - CONFLICT
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    HttpStatus:
      type: integer
      description: The HTTP status code for the action performed.
      format: int32
      enum:
        - 200
        - 400
        - 401
        - 403
        - 404
        - 500
    AssetDepreciationGetDto:
      required:
        - accumulatedDepreciation
        - acquisitionDate
        - assetDepreciationStatus
        - bookValue
        - costBasis
        - depreciationMethod
        - description
        - disposalDate
        - disposalProceeds
        - glSource
        - id
        - lastUpdatedDateTime
        - lineItems
        - periodsGenerated
        - placedInServiceDate
        - salvageValue
        - status
        - totalPeriods
        - usefulLifeMonths
      type: object
      properties:
        id:
          type: string
          description: Id of the asset depreciation schedule
          example: asd_28868401
        status:
          type: string
          description: Status of the asset depreciation schedule
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        assetDepreciationStatus:
          type: string
          description: Depreciation status of the asset depreciation schedule
          example: ACTIVE
          enum:
            - ACTIVE
            - FULLY_DEPRECIATED
            - DISPOSED
            - CANCELLED
        description:
          type: string
          description: Description of the asset depreciation schedule
          nullable: true
          example: Delivery van
        acquisitionDate:
          type: string
          description: Date the asset was acquired
          format: date
          example: '2026-01-01'
        placedInServiceDate:
          type: string
          description: Date the asset was placed in service
          format: date
          example: '2026-01-15'
        costBasis:
          type: integer
          description: Cost basis of the asset (in cents)
          format: int32
          example: 1200000
        salvageValue:
          type: integer
          description: Estimated salvage value of the asset (in cents)
          format: int32
          example: 200000
        usefulLifeMonths:
          type: integer
          description: Useful life of the asset in months
          format: int32
          example: 60
        totalPeriods:
          type: integer
          description: Total number of periods in the schedule
          format: int32
          example: 60
        depreciationMethod:
          type: string
          description: Method used to depreciate the asset
          example: STRAIGHT_LINE
          enum:
            - STRAIGHT_LINE
            - DOUBLE_DECLINING_BALANCE
            - SUM_OF_YEARS_DIGITS
        glSource:
          $ref: '#/components/schemas/GlSourceExpanded'
        accumulatedDepreciation:
          type: integer
          description: Total depreciation accumulated to date (in cents)
          format: int32
          example: 60000
        bookValue:
          type: integer
          description: Current book value of the asset (in cents)
          format: int32
          example: 1140000
        disposalDate:
          type: string
          description: >-
            Date the asset was disposed, only present when the depreciation
            status is DISPOSED
          format: date
          nullable: true
          example: '2027-06-30'
        disposalProceeds:
          type: integer
          description: >-
            Proceeds received from disposing the asset (in cents), only present
            when the depreciation status is DISPOSED
          format: int32
          nullable: true
          example: 800000
        periodsGenerated:
          type: integer
          description: Number of periods generated so far
          format: int32
          example: 3
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the schedule was last updated
          format: date-time
        lineItems:
          type: array
          description: Line items for each period of the schedule
          items:
            $ref: '#/components/schemas/AssetDepreciationLineItemGetDto'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    GlSourceExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the general ledger source
          example: mje_12345
      description: General ledger source the schedule was created from
    AssetDepreciationLineItemGetDto:
      required:
        - accumulatedDepreciation
        - bookValue
        - depreciationAmount
        - id
        - lastUpdatedDateTime
        - lineItemStatus
        - periodDate
        - periodNumber
      type: object
      properties:
        id:
          type: string
          description: Id of the asset depreciation line item
          example: asdl_12345
        periodNumber:
          type: integer
          description: Sequential number of the period within the schedule
          format: int32
          example: 1
        periodDate:
          type: string
          description: Date of the period
          format: date
          example: '2026-01-31'
        depreciationAmount:
          type: integer
          description: Depreciation amount for the period (in cents)
          format: int32
          example: 20000
        accumulatedDepreciation:
          type: integer
          description: Total depreciation accumulated through the period (in cents)
          format: int32
          example: 20000
        bookValue:
          type: integer
          description: Book value of the asset after the period (in cents)
          format: int32
          example: 1180000
        lineItemStatus:
          type: string
          description: Status of the line item
          example: PENDING
          enum:
            - PENDING
            - POSTED
            - SKIPPED
        lastUpdatedDateTime:
          type: string
          description: Timestamp of when the line item was last updated
          format: date-time
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.